import { HttpParams } from '@angular/common/http';
import { EventEmitter, OnInit } from '@angular/core';
import { PolicyService } from '../workflow-services/policy.service';
import { Subject } from 'rxjs';
import { policyList, searchText } from '../sharedComponents/framework-list/framework-integration-interfaces';
import * as i0 from "@angular/core";
export declare class LinkRelatedPoliciesComponent implements OnInit {
    private policyService;
    CONSTANTS: any;
    LINKS: any;
    animation: boolean;
    unsubscribe: Subject<unknown>;
    policySortBy: 'desc' | 'asc';
    selectedControlIds: Array<any>;
    selectedPolicyList: Array<any>;
    deletedList: Array<any>;
    searchText: searchText;
    loader: boolean;
    recentPage: number;
    policiesList: policyList;
    selectedPolicies: Array<any>;
    mode: string;
    policyId: string;
    closeLinkPolicyList: EventEmitter<any>;
    selectedList: EventEmitter<any>;
    constructor(policyService: PolicyService);
    ngOnInit(): void;
    goBack(): void;
    selectedItems(): void;
    searchBy(event: any): void;
    changePage(event: any): void;
    selectedParam(data?: any): HttpParams;
    getPagePolicyList(res: any): {
        from: any;
        to: any;
        currentPage: number;
        totalPage: any;
        totalRecords: any;
        data: unknown[];
    };
    getPolicies(data?: any): void;
    selectPolicy(event: any, data: any): void;
    saveChanges(): void;
    deleteItem(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LinkRelatedPoliciesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LinkRelatedPoliciesComponent, "app-link-related-policies", never, { "selectedPolicies": { "alias": "selectedPolicies"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "policyId": { "alias": "policyId"; "required": false; }; }, { "closeLinkPolicyList": "closeLinkPolicyList"; "selectedList": "selectedList"; }, never, never, false, never>;
}
